wxWidgets requirements

To make use of wxWidgets, you currently need one of the following setups.

(a) MS-Windows:

  1. A 32-bit or 64-bit PC running MS Windows.
  2. A Windows compiler: MS Visual C++ (embedded Visual C++ for wxWinCE port), Borland C++, Watcom C++, Cygwin, MinGW, Metrowerks CodeWarrior, Digital Mars C++. See install.txt for details about compiler version supported.
  3. At least 100 MB of disk space for source tree and additional space for libraries and application building (depends on compiler and build settings).

(b) Unix:

  1. Almost any C++ compiler, including GNU C++ (EGCS 1.1.1 or above).
  2. Almost any Unix workstation, and one of: GTK+ 1.2, GTK+ 2.0, Motif 1.2 or higher, Lesstif. If using the wxX11 port, no such widget set is required.
  3. At least 100 MB of disk space for source tree and additional space for libraries and application building (depends on compiler and build settings).

(c) Mac OS/Mac OS X:

  1. A PowerPC Mac running Mac OS 8.6/9.x (eg. Classic) or Mac OS X 10.x.
  2. CodeWarrior 5.3, 6 or 7 for Classic Mac OS.
  3. The Apple Developer Tools (eg. GNU C++), CodeWarrior 7 or above for Mac OS X.
  4. At least 100 MB of disk space for source tree and additional space for libraries and application building (depends on compiler and build settings).

ymasuda 平成17年11月19日